> ## Documentation Index
> Fetch the complete documentation index at: https://docs.typeauth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new JWT



## OpenAPI

````yaml openapi.json post /{account_id}/jwt/create
openapi: 3.0.0
info:
  title: Type Auth API
  description: >-
    API for managing applications, authentication, monitoring, and security
    features
  version: 1.0.0
servers:
  - url: https://api.typeauth.com
security: []
tags:
  - name: Application
    description: Application management endpoints
  - name: Token
    description: Token endpoints
  - name: JWT
    description: JWT configuration endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: JWK
    description: JWK (JSON Web Key) management endpoints
  - name: Security
    description: Security and firewall configuration endpoints
  - name: Fraud and abuse prevention
    description: Abuse prevention and rate limiting endpoints
  - name: Monitor
    description: Application monitoring endpoints
  - name: Routing
    description: Route configuration endpoints
  - name: Tag
    description: Tag management endpoints
paths:
  /{account_id}/jwt/create:
    post:
      tags:
        - JWT
      summary: Create a new JWT
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateJWTRequest'
      responses:
        '201':
          description: JWT created successfully
      security:
        - bearerAuth: []
components:
  schemas:
    CreateJWTRequest:
      type: object
      properties:
        name:
          type: string
          description: Name of the JWT
        path:
          type: array
          description: Path where the JWT is used
        exp:
          type: boolean
          description: Expiration of the JWT
        nbf:
          type: boolean
          description: Not before of the JWT
        kid:
          type: boolean
          description: Key id of the JWT
        jwk:
          type: string
          description: JWK ID of the JWT
        keys:
          type: array
          description: JWT claims to be checked
      required:
        - name
        - exp
        - nbf
        - kid
        - jwk

````